import { APIClient } from "./ApiClient";

export interface GlobalStats {
  global_balance: number;
  number_movements: number;
  number_files: number;
  total_files_size: number;
}

export class StatsApi {
  /**
   * Get global statistics
   */
  static async GetGlobal(): Promise<GlobalStats> {
    return (
      await APIClient.exec({
        uri: `/stats/global`,
        method: "GET",
      })
    ).data;
  }
}
